summaryrefslogtreecommitdiff
path: root/herbstluftwm/spncmp
diff options
context:
space:
mode:
authorzachir <zachir@librem.one>2022-10-05 22:00:32 -0500
committerzachir <zachir@librem.one>2022-10-05 22:00:32 -0500
commitf39d735e2ba625a31a7dbf6fb8bdd62501379ad1 (patch)
treed17c96714c930e0b8bc75616cc9c81b961ed5aa0 /herbstluftwm/spncmp
Initial Commit
Diffstat (limited to 'herbstluftwm/spncmp')
-rwxr-xr-xherbstluftwm/spncmp18
1 files changed, 18 insertions, 0 deletions
diff --git a/herbstluftwm/spncmp b/herbstluftwm/spncmp
new file mode 100755
index 0000000..0ad5bec
--- /dev/null
+++ b/herbstluftwm/spncmp
@@ -0,0 +1,18 @@
+#!/bin/sh
+scratchpad=/tmp/herbstluftwm:spncmp
+if xdotool search --onlyvisible --classname 'spncmp'; then
+ if [ $(herbstclient list_monitors | grep '[FOCUS]' | cut -d\" -f2) = $(herbstclient attr clients.$(cat $scratchpad) | grep 's - - tag' | awk '{ print $6 }' | sed 's/"//g') ]; then
+ xdotool search -onlyvisible -classname 'spncmp' windowunmap
+ exit
+ fi
+fi
+if [ -f $scratchpad ]; then
+ if ! herbstclient bring $(cat $scratchpad); then
+ xdotool search -classname 'spncmp' windowmap && exit
+ fi
+fi
+if ! xdotool search --classname 'spncmp' windowmap; then
+ setsid -f st -t 'spncmp' -n 'spncmp' -- zsh -c ncmpcpp
+ xdotool search -sync -onlyvisible -classname 'spncmp'
+ herbstclient attr clients.focus.winid > $scratchpad
+fi